<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNoticeActionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notice_action', function (Blueprint $table) {
            $table->bigIncrements('NA_Id');
            $table->string('Na_Desc', 500);  // Description for the notice action
            $table->string('Na_Flag', 1);   // Flag to indicate the status (active/inactive)
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notice_action');
    }
}
